Subject: Re: [DNSOP] Terminology: country

From: Bob Harold <[email-masked]>
Date: Fri, 1 May 2015 09:17:01 -0400

On Thu, Apr 30, 2015 at 2:18 PM, Bill Woodcock <[email-masked]> wrote:

> ...
> >> If we changed this to say, "A TLD that is allocated using the UN
> >> country list using the the two-letter code from the ISO 3166-1 alpha-2
> >> standard [ISO3166]," would that address your concern?
> >
> > I would be fine with that wording, but it doesn't hint at what "cc"
> stands for. Again, Jon Postel used the word "country code" and "country
> this" and "country that" quite liberally in RFC 1591. I'm not convinced we
> need to step away from that now.
>
> The “what’s a country” issue is one that we confront constantly, as people
> ask us for statistics about Internet bandwidth production, traffic flows,
> and yes, even TLDs.  There’s just no clean answer.  Whether that be the
> island of Sint Maarten/Saint-Martin (half constituent country of the
> Kingdom of the Netherlands, half overseas collectivity of France) or
> Cyprus, mention of which always triggers pro-forma outrage from Turkey.
>
> I completely agree that we should be clear that “cc” stands for Country
> Code, and I think we should defer to ISO for their own definition of ISO
> 3166: "ISO 3166 is the International Standard for country codes and codes
> for their subdivisions” no matter how inaccurate that actually seems.
> Because it’s good enough, and this is a complex issue that we’re not going
> to solve, given how many other people have tried and failed.
>
>
"we should be clear that “cc” stands for Country Code" even if that is not
technically exact.

> But we can acknowledge the complexity, and use some word other than
> “country” to describe how the Internet uses these codes.
>
> For instance, we could refer to domains associated with “geographic
> territories,” including both ccTLDs, geographic ngTLDs, and geographic IDN
> TLDs.
>
>                                 -Bill
>

-- 
Bob Harold